import rayconnect from "rayconnect-client"
import raywordSdk from "./rayword-sdk"
import { INews } from "./types"

const app=new rayconnect(
    {
        scopes: "rayword",
        space: "main",
        appID: "test",
        type: "client",
    },
    undefined,
    true
)
app.OnConnect(async()=>{
    await app.GetGuestAccess()
    var sdk = new raywordSdk(app)
    
    sdk.createItem<INews>("news",{
        image:"test image value",
        title:"test title value",
        summery:"test summery value",
        content:"test content value"
    }).then((value)=>{
        console.log(value)
    })

    sdk.readAllItem<INews>("news").then((value) => {
        console.log(value)
    })
})